
Figure - Bug #116795
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现CRASH: com.android.gallery3d（6）
2023-03-08 10:48 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0080.C101

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303150042

Reproducibility: Occasionally Fixed Version: 2023-03-10

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

    adb shell

    monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.gallery3d (pid 4296)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to read from field 'androidx.fragment.app.FragmentManager

androidx.fragment.app.Fragment.mFragmentManager' on a null object reference

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2374:user/test-keys

// Build Changelist: 2374

// Build Time: 1678137705000

// java.lang.NullPointerException: Attempt to read from field 'androidx.fragment.app.FragmentManager

androidx.fragment.app.Fragment.mFragmentManager' on a null object reference

//     at androidx.fragment.app.BackStackRecord.remove(BackStackRecord.java:190)

//     at com.android.gallery3d.filtershow.FilterShowActivity$2.run(FilterShowActivity.java:316)

//     at com.android.gallery3d.filtershow.FilterShowActivity.loadEditorPanel(FilterShowActivity.java:339)

//     at com.android.gallery3d.filtershow.FilterShowActivity.showRepresentation(FilterShowActivity.java:690)

//     at com.android.gallery3d.filtershow.state.StateView.onTouchEvent(StateView.java:334)

//     at android.view.View.dispatchTouchEvent(View.java:14541)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)
//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at com.android.internal.policy.DecorView.superDispatchTouchEvent(DecorView.java:514)

//     at com.android.internal.policy.PhoneWindow.superDispatchTouchEvent(PhoneWindow.java:1890)

//     at android.app.Activity.dispatchTouchEvent(Activity.java:4221)

//     at com.android.gallery3d.filtershow.FilterShowActivity.dispatchTouchEvent(FilterShowActivity.java:1515)

//     at com.android.internal.policy.DecorView.dispatchTouchEvent(DecorView.java:472)

//     at android.view.View.dispatchPointerEvent(View.java:14800)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.processPointerEvent(ViewRootImpl.java:6362)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6163)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl.deliverInputEvent(ViewRootImpl.java:8584)

//     at android.view.ViewRootImpl.doProcessInputEvents(ViewRootImpl.java:8535)

//     at android.view.ViewRootImpl.enqueueInputEvent(ViewRootImpl.java:8503)

//     at android.view.ViewRootImpl$WindowInputEventReceiver.onInputEvent(ViewRootImpl.java:8707)

//     at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:260)

//     at android.os.MessageQueue.nativePollOnce(Native Method)

//     at android.os.MessageQueue.next(MessageQueue.java:335)

//     at android.os.Looper.loopOnce(Looper.java:161)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-03-09 10:14 - CD APP-王宏

- Assignee changed from CD APP-王营 to CD APP-王宏
#2 - 2023-03-09 11:04 - CD APP-王宏

tlog/manual/002_manual_00000_230307_185153.log:2819:03-07 09:30:22.004 27560 27560 E AndroidRuntime: FATAL EXCEPTION: main

tlog/manual/002_manual_00000_230307_185153.log:2820:03-07 09:30:22.004 27560 27560 E AndroidRuntime: Process: com.android.gallery3d, PID: 27560

tlog/manual/002_manual_00000_230307_185153.log:2821:03-07 09:30:22.004 27560 27560 E AndroidRuntime: java.lang.NullPointerException: Attempt to invoke virtual

method 'java.util.Collection com.android.gallery3d.filtershow.pipeline.ImagePreset.getGeometryFilters()' on a null object reference

tlog/manual/002_manual_00000_230307_185153.log:2822:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

com.android.gallery3d.filtershow.imageshow.PrimaryImage.computeImageToScreen(PrimaryImage.java:587)

tlog/manual/002_manual_00000_230307_185153.log:2823:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

com.android.gallery3d.filtershow.imageshow.PrimaryImage.originalImageToScreen(PrimaryImage.java:568)

tlog/manual/002_manual_00000_230307_185153.log:2824:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

com.android.gallery3d.filtershow.imageshow.ImageShow.drawHighresImage(ImageShow.java:323)

tlog/manual/002_manual_00000_230307_185153.log:2825:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

com.android.gallery3d.filtershow.imageshow.ImageShow.onDraw(ImageShow.java:292)

tlog/manual/002_manual_00000_230307_185153.log:2826:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22649)

tlog/manual/002_manual_00000_230307_185153.log:2827:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.View.updateDisplayListIfDirty(View.java:21524)

tlog/manual/002_manual_00000_230307_185153.log:2828:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22380)

tlog/manual/002_manual_00000_230307_185153.log:2829:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.drawChild(ViewGroup.java:4528)

tlog/manual/002_manual_00000_230307_185153.log:2830:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.dispatchDraw(ViewGroup.java:4289)

tlog/manual/002_manual_00000_230307_185153.log:2831:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.View.updateDisplayListIfDirty(View.java:21515)

tlog/manual/002_manual_00000_230307_185153.log:2832:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22380)

tlog/manual/002_manual_00000_230307_185153.log:2833:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.drawChild(ViewGroup.java:4528)

tlog/manual/002_manual_00000_230307_185153.log:2834:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.dispatchDraw(ViewGroup.java:4289)

tlog/manual/002_manual_00000_230307_185153.log:2835:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.View.updateDisplayListIfDirty(View.java:21515)

tlog/manual/002_manual_00000_230307_185153.log:2836:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22380)

tlog/manual/002_manual_00000_230307_185153.log:2837:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.drawChild(ViewGroup.java:4528)

tlog/manual/002_manual_00000_230307_185153.log:2838:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.dispatchDraw(ViewGroup.java:4289)

tlog/manual/002_manual_00000_230307_185153.log:2839:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.View.updateDisplayListIfDirty(View.java:21515)

tlog/manual/002_manual_00000_230307_185153.log:2840:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22380)

tlog/manual/002_manual_00000_230307_185153.log:2841:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.drawChild(ViewGroup.java:4528)

tlog/manual/002_manual_00000_230307_185153.log:2842:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.dispatchDraw(ViewGroup.java:4289)

tlog/manual/002_manual_00000_230307_185153.log:2843:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.View.updateDisplayListIfDirty(View.java:21515)

tlog/manual/002_manual_00000_230307_185153.log:2844:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22380)

tlog/manual/002_manual_00000_230307_185153.log:2845:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.drawChild(ViewGroup.java:4528)

tlog/manual/002_manual_00000_230307_185153.log:2846:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.dispatchDraw(ViewGroup.java:4289)

tlog/manual/002_manual_00000_230307_185153.log:2847:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.View.updateDisplayListIfDirty(View.java:21515)

tlog/manual/002_manual_00000_230307_185153.log:2848:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22380)
tlog/manual/002_manual_00000_230307_185153.log:2849:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.drawChild(ViewGroup.java:4528)

tlog/manual/002_manual_00000_230307_185153.log:2850:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.dispatchDraw(ViewGroup.java:4289)

tlog/manual/002_manual_00000_230307_185153.log:2851:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22652)

tlog/manual/002_manual_00000_230307_185153.log:2852:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.View.updateDisplayListIfDirty(View.java:21524)

tlog/manual/002_manual_00000_230307_185153.log:2853:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22380)

tlog/manual/002_manual_00000_230307_185153.log:2854:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.drawChild(ViewGroup.java:4528)

tlog/manual/002_manual_00000_230307_185153.log:2855:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.dispatchDraw(ViewGroup.java:4289)

tlog/manual/002_manual_00000_230307_185153.log:2856:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.View.updateDisplayListIfDirty(View.java:21515)

tlog/manual/002_manual_00000_230307_185153.log:2857:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22380)

tlog/manual/002_manual_00000_230307_185153.log:2858:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.drawChild(ViewGroup.java:4528)

tlog/manual/002_manual_00000_230307_185153.log:2859:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.dispatchDraw(ViewGroup.java:4289)

tlog/manual/002_manual_00000_230307_185153.log:2860:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22652)

tlog/manual/002_manual_00000_230307_185153.log:2861:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

com.android.internal.widget.ActionBarOverlayLayout.draw(ActionBarOverlayLayout.java:517)

tlog/manual/002_manual_00000_230307_185153.log:2862:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.View.updateDisplayListIfDirty(View.java:21524)

tlog/manual/002_manual_00000_230307_185153.log:2863:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22380)

tlog/manual/002_manual_00000_230307_185153.log:2864:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.drawChild(ViewGroup.java:4528)

tlog/manual/002_manual_00000_230307_185153.log:2865:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewGroup.dispatchDraw(ViewGroup.java:4289)

tlog/manual/002_manual_00000_230307_185153.log:2866:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.view.View.draw(View.java:22652)

tlog/manual/002_manual_00000_230307_185153.log:2867:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

com.android.internal.policy.DecorView.draw(DecorView.java:882)

tlog/manual/002_manual_00000_230307_185153.log:2868:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.View.updateDisplayListIfDirty(View.java:21524)

tlog/manual/002_manual_00000_230307_185153.log:2869:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ThreadedRenderer.updateViewTreeDisplayList(ThreadedRenderer.java:534)

tlog/manual/002_manual_00000_230307_185153.log:2870:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ThreadedRenderer.updateRootDisplayList(ThreadedRenderer.java:540)

tlog/manual/002_manual_00000_230307_185153.log:2871:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ThreadedRenderer.draw(ThreadedRenderer.java:616)

tlog/manual/002_manual_00000_230307_185153.log:2872:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewRootImpl.draw(ViewRootImpl.java:4441)

tlog/manual/002_manual_00000_230307_185153.log:2873:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewRootImpl.performDraw(ViewRootImpl.java:4169)

tlog/manual/002_manual_00000_230307_185153.log:2874:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:3329)

tlog/manual/002_manual_00000_230307_185153.log:2875:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:2146)

tlog/manual/002_manual_00000_230307_185153.log:2876:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:8675)

tlog/manual/002_manual_00000_230307_185153.log:2877:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.Choreographer$CallbackRecord.run(Choreographer.java:1120)

tlog/manual/002_manual_00000_230307_185153.log:2878:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at
android.view.Choreographer.doCallbacks(Choreographer.java:926)

tlog/manual/002_manual_00000_230307_185153.log:2879:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.Choreographer.doFrame(Choreographer.java:859)

tlog/manual/002_manual_00000_230307_185153.log:2880:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at

android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:1105)

tlog/manual/002_manual_00000_230307_185153.log:2881:03-07 09:30:22.004 27560 27560 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

#3 - 2023-03-09 14:05 - CD APP-王宏

- Status changed from New to ASSIGNED

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

根据错误日志判空

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/186597

#4 - 2023-03-09 19:36 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-10

- Root cause set to AOSP问题

#5 - 2023-03-09 19:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186597 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Gallery2:fixed NullPointExceptionTC-RID: 1201-0300701IssueID: TS-R-BUG-116795Change-Id: I4258ae96718cb8a9963fbc75578df0b609ef0dde

#6 - 2023-03-13 10:15 - CD TEST-方永红

3.13

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019版本未复现

#7 - 2023-03-16 10:04 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303150042

3.14版本FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101
3.15版本FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303150042

均未复现

#8 - 2023-03-16 10:04 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tlog_iov0201017500006162025411a2212290000000661_002_0307185712.tar.gz 33.4 MB 2023-03-08 CD TEST-方永红
